package network.protocol.packets;

import network.protocol.Packet;
import network.protocol.PacketVisitor;
import network.protocol.Packets;

public class PlayerLeavePacket extends Packet{

	static private final long serialVersionUID = Packets.PlayerLeave.ordinal();

	private final int playerId;

	public PlayerLeavePacket(int playerId) {
		this.playerId = playerId;
	}

	public int getPlayer() {
		return playerId;
	}

	@Override
	public void accept(PacketVisitor packetVisitor) {
		packetVisitor.visitPacket(this);
	}

	

}
